#!/bin/bash

# pihole server to sync from
syncsvr='192.168.20.21'
srcsvr='pihole1'
dstsvr='pihole2'
srcpath='/opt/docker/docker_pihole1'
dstpath='/opt/docker/docker_pihole2'

# user on sync server
syncusr='root'

# declare and populate indexed sync array
syncarray=("etc-pihole/custom.list" "etc-dnsmasq.d/05-pihole-custom-cname.conf")

curdate=$(date +%Y%m%d-%H%M%S)

echo "pihole dns sync run: ${curdate}"

for i in "${syncarray[@]}"
do
    echo "syncing $i"
    scp ${syncusr}@${syncsvr}:${srcpath}/${i} ${dstpath}/${i}
done

echo "pihole dns sync run completed"

